const { BasicComponent } = require('@kenlo/guidelines');

class Component {
  onCreate() {
    this.state = {
      value: null,
    };
  }

  changeValue(ev) {
    this.setState('value', ev.target.value);
  }

  addNewName() {
    console.log('teste');
    this.emit('new-name', this.state.value);
    this.setState('value', null);
  }
}

module.exports = BasicComponent(Component);
